Create an Entity
Create a new entity in a specified entity type in your Hubstream instance.
HTTP Method
POST
Endpoint
/api/data/write/StandardIntelLiteWriter
Request URL
{Base URL}/api/data/write/StandardIntelLiteWriter
Sample Request Body
Note: The fields inside Nodes vary by entity.
Body Example:(Create a Lead entity) Here, if you are creating a new lead entity, the respective node fields for the lead entity are given below.
{
"EntityName": "Lead",
"Data": {
"Meta": {
"$charset": "UTF-8"
},
"Nodes": {
"Lead": [
{
"$id": "zGkhQ",
"Status": "Closed - No Action",
"GUID": "0261d339143e73a968d06f973a586f29",
"DateReceived": "",
"Queue": "Other",
"Title": "Testing"
}
]
}
}
}
Parameters
| Param Name | Data Type | Description |
|---|---|---|
| EntityName | String | Name of the entity type you want to create (for example, Investigation, Lead). |
| $id | String | A dynamically generated unique identifier. |
| Status | String | Status value for the entity (for example, Active, Closed). |
| GUID | String | Globally unique identifier for the entity. |
| DateReceived | String | Date received for the entity. Use YYYY-MM-DD. |
| Queue | String | Queue or category assigned to the entity (for example, Other, Urgent). |
| Title | String | Title of the entity. |
Missing or invalid credentials returns a 401 Unauthorized error.
Curl Example
Multi-line format (for readability):
curl --header "Accept-Language: en" \
--http1.1 \
--insecure \
--verbose \
--ntlm \
--user "device-name1\jdoe:P@ssw0rd" \
-X POST \
"https://hubstreamproduction.hubstreamonline.com/api/data/write/StandardIntelLiteWriter" \
-H "X-Hubstream-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"EntityName": "Lead",
"Data": {
"Meta": {
"$charset": "UTF-8"
},
"Nodes": {
"Lead": [
{
"$id": "zGkhQ",
"Status": "Closed - No Action",
"GUID": "0261d339143e73a968d06f973a586f29",
"DateReceived": "",
"Queue": "Other",
"Title": "Testing"
}
]
}
}
}'
Single-line format (for terminal use):
curl --header "Accept-Language: en" --http1.1 --insecure --verbose --ntlm --user "device-name1\jdoe:P@ssw0rd" -X POST "https://hubstreamproduction.hubstreamonline.com/api/data/write/StandardIntelLiteWriter" -H "X-Hubstream-API-Key: <your-api-key>" -H "Content-Type: application/json" -d "{\"EntityName\":\"Lead\",\"Data\":{\"Meta\":{\"$charset\":\"UTF-8\"},\"Nodes\":{\"Lead\":[{\"$id\":\"zGkhQ\",\"Status\":\"Closed - No Action\",\"GUID\":\"0261d339143e73a968d06f973a586f29\",\"DateReceived\":\"\",\"Queue\":\"Other\",\"Title\":\"Testing\"}]}}}"
Sample Responses
Status code 2XX indicates a successful request and response.
200 OK
- Description: Operation succeeded
Response Body
{
"ID": 1,
"DataRow": {
"RowError": "",
"RowState": 2,
"Table": [
{
"ID": 1,
"Action": "INSERT",
"EntityTypeID": 47,
"GUID": "0261d339-143e-73a9-68d0-6f973a586f29"
}
],
"ItemArray": [1, "INSERT", 47, "0261d339-143e-73a9-68d0-6f973a586f29"],
"HasErrors": false
}
}